services:
    d2_transworld_service_definition_manager:
        class:          D2\TransWorldBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_transworld_partner_file_manager:
        class:          D2\TransWorldBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_transworld_waybill_manager:
        class:          D2\TransWorldBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_transworld_service_definition_manager, @d2_calc_manager]

    d2_transworld_bundle.twig.transworld_extension:
        class:          D2\TransWorldBundle\Twig\TransWorldTwigExtension
        arguments:      [@doctrine, @service_container, @d2_transworld_partner_file_manager, @d2_transworld_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_transworld_bundle.waybill_with_selected.extension:
        class:          D2\TransWorldBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: transworld_list }
            - { name: d2.with_selected, alias: transworld_waybill }
